{block title}
    Channels
{/block}
{block header}
    Kanály
{/block}

{block content}

<section>
    <div class="page-wrapper">
        <div class="container mt-4">

            <div class="content">
                <h3>Filtr</h3>
                {form filterForm}
                    <div class="container">
                        <div class="row">
                            <div class="col-md">
                                <div class="mb-2">
                                    {label $form['name'], class=>"form-label"}
                                    {input $form['name'], class=>"form-control"}
                                </div>
                                <div class="mb-2">
                                    {label $form['description'], class=>"form-label"}
                                    {input $form['description'], class=>"form-control"}
                                </div>
                            </div>
                            <div class="col-md">
                                <div class="mb-2">
                                    {label $form['group'], class=>"form-label"}
                                    {input $form['group'], class=>"form-select", size=>'5'}
                                </div>
                            </div>
                        </div>
                    </div>
                    {input $form['send'], class=>"btn btn-primary"}
                {/form}
            </div>

            <div class="content mt-4">
                <div class="container">
                    <div class="row">
                        <div class="col">
                            <h3>Pridat kanál</h3>
                        </div>
                        <div class="col-auto">
                            <button type="button" class="btn btn-outline-secondary"
                                    id="btn-show"
                                    onclick="$('#frm-createNewChannel').slideDown();
                                    $(this).hide();
                                    $('#btn-hide').show();">
                                <i class="bi bi-chevron-down float-right"></i>
                            </button>
                            <button type="button" class="btn btn-outline-secondary"
                                    id="btn-hide"
                                    onclick="$('#frm-createNewChannel').slideUp();
                                    $(this).hide();
                                    $('#btn-show').show();">
                                <i class="bi bi-chevron-up float-right"></i>
                            </button>
                        </div>
                        <script>
                            $('#btn-hide').hide();
                        </script>
                    </div>
                </div>

                {snippet addChannelForm}
                    {form createNewChannel}
                        <div class="mb-2">
                            {label $form['name'], class=>"form-label"}
                        {input $form['name'], class=>"form-control"}
                        </div>
                        <div class="mb-2">
                            {label $form['description'], class=>"form-label"}
                        {input $form['description'], class=>"form-control"}
                        </div>
                        <div class="mb-2">
                            {label $form['group'], class=>"form-label"}
                        {input $form['group'], class=>"form-select"}
                        </div>
                        {input $form['send'], class=>"btn btn-primary mt-3"}
                    {/form}
                {/snippet}

                <script>
                    $('#frm-createNewChannel').hide();
                </script>
            </div>

            <div class="content mt-4">
                <h2>Seznam kanálů <small>({count($channels)})</small></h2>

                <div class="overflow-auto">
                    {snippet channelListSnippet}
                        {ifset $search}
                            {var $searchName = $search->getName()}
                            {var $searchDescription = $search->getDescription()}
                        {/ifset}
                        <table class="table w-100 mt-4">
                            <thead>
                            <tr>
                                {*}<td>Id</td>*}
                                <td>Kategorie</td>
                                <td>Jméno</td>
                                <td>Popis</td>
                                <td>Akce</td>
                            </tr>
                            </thead>
                            <tbody>
                            {foreach $channels as $channel}
                                <tr>
                                    {*}<td>{$channel->getId()}</td>*}
                                    <td>{$channel->getChannelGroup()->getName()}</td>
                                    <td>
                                        {ifset $searchName}
                                            {$channel->getName()|highlight:$searchName:false|noescape}
                                        {else}
                                            {$channel->getName()}
                                        {/ifset}
                                    </td>
                                    <td>
                                        {ifset $searchDescription}
                                            {$channel->getDescription()|highlight:$searchDescription:false|noescape}
                                        {else}
                                            {$channel->getDescription()}
                                        {/ifset}
                                    </td>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    <a n:href="Channels:edit $channel->getId()">
                                                        <button type="button" class="btn btn-outline-warning btn-sm">
                                                            <i class="bi bi-pencil"></i>
                                                        </button>
                                                    </a>
                                                </td>
                                                <td>
                                                    <a class="ajax">
                                                        <button type="button" class="btn btn-outline-primary btn-sm">
                                                            <i class="bi bi-chevron-up"></i>
                                                        </button>
                                                    </a>
                                                </td>
                                                <td>
                                                    <a class="ajax">
                                                        <button type="button" class="btn btn-outline-primary btn-sm">
                                                            <i class="bi bi-chevron-down"></i>
                                                        </button>
                                                    </a>
                                                </td>
                                                <td>
                                                    <a n:href="deleteChannel! $channel->getId()" class="ajax">
                                                        <button type="button" class="btn btn-outline-danger btn-sm">
                                                            <i class="bi bi-trash3"></i>
                                                        </button>
                                                    </a>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            {/foreach}
                            </tbody>
                        </table>
                    {/snippet}
                </div>
            </div>
        </div>
    </div>
</section>